clear all;
close all;

class = 10;
dim=1000;
rand('seed',255);
Trn = rand(class*6,dim);
rand('seed',125);
Tst = rand(dim,class*6);
nvec_trn = ones(1,class)*6;
nvec_tst = nvec_trn;
Set='Demo';

Method = {'DLDA','PILDA','FPILDA','PCAplusLDA','NLDA','OLDA','ULDA',...
          'QRNLDA','FNLDA','CLDA','IPILDA','ALDA','EFR','ELDA',...
          'MLDA','IDLDA','TSLDA','Range_Sw','Null_Sw',...
          'Range_Sb','Null_Sb','DRLDA'};

ck=[];
for j=1:class
    ck = [ck;ones(nvec_trn(j),1)*j];
end

for j=1:length(Method)
    Meth = char(Method(j));
    method = str2func(Meth);
    [w,CPU_TIME] = method(Trn,ck);
    tr = w'*Trn';
    ts = w'*Tst;

    Acc = NNC(tr,ts,nvec_trn,nvec_tst,class);

    fprintf('\n--------------------------------------------------\n');
    fprintf('Method: %s\n',Meth);
    fprintf('Dataset: %s\n',Set);
    fprintf('Classification accuracy NNC %6.2f%%\n',Acc);
    fprintf('CPU_Time: %6.4f\n',CPU_TIME);
    fprintf('--------------------------------------------------\n');
end
